Withdrawal Receipt
Authorization
BearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Transaction ID.
Query Parameters
type?string
Return format.
Default
"pdf"Value in
"pdf" | "base64"Header Parameters
Content-Type*string
Obrigatório em toda chamada PayZu.
Default
"application/json"Value in
"application/json"Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://api.payzu.processamento.com/v1/withdraw/proof/PAYZU2025081721512946OOLK75?type=pdf" \ -H "Content-Type: application/json"{
"base64": "JVBERi0xLjQKJ..."
}{
"statusCode": 400,
"error": "Bad Request",
"message": "querystring/dateFrom Invalid input: expected string, received undefined",
"requestId": "cmou00000abcdef01s6ghij1k2lm"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing or invalid Bearer token",
"requestId": "cmou00000abcdef01s6ghij1k2lm"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found",
"requestId": "cmou00000abcdef01s6ghij1k2lm"
}Read QR Code
Decode and extract information from a Pix QR Code (EMV format) before making a payment. Returns the parsed data including receiver details, amount (if present), and other QR Code metadata. No momento a PayZu só suporta QR Code dinâmico. QR estático ainda não é processado.
Tutoriais
Fluxos reais de produção combinando os endpoints da PayZu Processamento, desde receber um Pix simples até lidar com uma disputa MED. Cada tutorial tem código pronto em curl, Node, Python, Go e PHP.